Update an external payment - Karat Help Center

Update an external payment

cURL

curl --request PATCH \  
  --url https://payouts.api.trykarat.com/external-payments/{external_payment_id} \  
  --header 'Authorization: Bearer <token>' \  
  --header 'Content-Type: application/json' \  
  --data '
{
  "amount": 55000,
  "description": "Updated amount"
}
'

Python

import requests

url = "https://payouts.api.trykarat.com/external-payments/{external_payment_id}"

payload = {
    "amount": 55000,
    "description": "Updated amount"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({amount: 55000, description: 'Updated amount'})
};

fetch('https://payouts.api.trykarat.com/external-payments/{external_payment_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Response Structure

Success Response

{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "amount": 123,
    "description": "<string>",
    "date": "2023-12-25",
    "paymentMethod": "<string>",
    "platform": "<string>",
    "receiptFileName": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "recipient": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "jsmith@example.com"
    }
  }
}

Error Responses

{
  "error": {
    "message": "amount: amount must be positive"
  }
}
{
  "error": {
    "message": "Invalid api key"
  }
}
{
  "error": {
    "message": "Payment intent not found"
  }
}

Authorizations

Authorization

Path Parameters

Body Parameters